Using the latest SDK in your app

Making sure your app always uses the latest SDK is important. Advantages of integrating the latest SDK include:

  • Access to new features.
  • More stable code and fewer crashes.
  • Better performance.
  • Optimal resource usage.

How to set up your app to always use the latest SDK

Add the following compile statement to your app-level build.gradle (not project!):

dependencies {
  compile 'com.android.support:recyclerview-v7:25.3.1' // Required Dependency by Audience Network SDK
  compile 'com.facebook.android:audience-network-sdk:5.+'
}

If you currently use


compile 'com.facebook.android:audience-network-sdk:4.+'


in your build.gradle, please ensure that you change it to


compile 'com.facebook.android:audience-network-sdk:5.+'